Bug 1256472 - (kdebugsettings) Review Request: kdebugsettings - Application to configure debug output of KDE applications
Review Request: kdebugsettings - Application to configure debug output of KDE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2015-08-24 12:36 EDT by Daniel Vrátil
Modified: 2015-11-12 00:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 19:21:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2015-08-24 12:36:51 EDT
Spec URL: https://dvratil.fedorapeople.org/applications/review/kdebugsettings.spec
SRPM URL: https://dvratil.fedorapeople.org/applications/review/kdebugsettings-15.08.0-1.fc22.src.rpm
Description: Allows toggling debug output of KDE Frameworks 5-based applications.
Fedora Account System Username: dvratil
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10807091
Comment 1 Jan Grulich 2015-08-31 16:05:40 EDT
1) License should be LGPLv2+ (source files are under LGPLv2+ while the license file is GPLv2+)
2) Use %license for the license file
3) Typo in summary
4) Maybe you should use %config for /etc/xdg/kde.categories
Comment 2 Daniel Vrátil 2015-09-01 05:49:01 EDT
Spec URL: https://dvratil.fedorapeople.org/applications/review/kdebugsettings.spec
SRPM URL: https://dvratil.fedorapeople.org/applications/review/kdebugsettings-15.08.0-2.fc22.src.rpm

* Tue Sep 01 2015 Daniel Vrátil <dvratil@redhat.com> - 15.08.0-2
- fix license
- use %%license
- fix typo in summary
- use %%config for kde.categories
Comment 3 Jan Grulich 2015-09-01 06:18:00 EDT
Looks good now, approved.
Comment 4 Daniel Vrátil 2015-09-01 07:24:07 EDT
New Package SCM Request
=======================
Package Name: kdebugsettings
Short Description: Application to configure debug output of KDE applications
Upstream URL: https://projects.kde.org/projects/kde/kdeutils/kdebugsettings
Owners: dvratil group::kde-sign
Branches: f22 f23
InitialCC:
Comment 5 Gwyn Ciesla 2015-09-01 10:18:16 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-10-13 11:50:09 EDT
kdebugsettings-15.08.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bd17a5d64c
Comment 7 Fedora Update System 2015-10-13 22:13:08 EDT
kdebugsettings-15.08.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kdebugsettings'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bd17a5d64c
Comment 8 Fedora Update System 2015-10-14 05:27:44 EDT
kdebugsettings-15.08.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kdebugsettings'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c50e29ba46
Comment 10 Fedora Update System 2015-11-11 19:21:17 EST
kdebugsettings-15.08.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-12 00:23:15 EST
kdebugsettings-15.08.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.